### Method

# RB ShellPlayer do_next

#### Declaration [src]

    gboolean
    rb_shell_player_do_next (
      RBShellPlayer* player
      GError** error
    )

#### Description [src]

Skips to the next song. Consults the play queue and handles transitions between the play queue and the active source. Fails if there is no entry to play after the current one.

#### Return value

Type: `gboolean`

`TRUE` if successful.